Subject: Re: [PATCH] revision: --include-diversions adds helpful merges

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Apr 2020 11:55:51 -0700

Jeff King <[email-masked]> writes:

> On Thu, Apr 09, 2020 at 01:20:57PM -0400, Derrick Stolee wrote:
>
>> In conclusion, I think "--show-pulls" provides the right context for these
>> extra merges to show in the history view. It also roots these merges in a
>> Git-native name (that also happens to evoke the "pull request" concept that
>> is _not_ native to Git).
>> 
>> What do you think?
>
> Yeah, after reading more of the thread, I think the simplest way to
> think about is "keep merges that pulled in something" with the
> implication of "(even if the other side didn't touch anything)".

Isn't it more like "even if our side didn't touch anything", though?

If a merge pulled in something, the other side by definition did
something (i.e. what was pulled in); if we did something since they
forked, we would have shown the merge without this patch---the only
new behaviour we are adding is to show the merge even when our side
didn't touch since they forked---so far we never showed that merge,
but now with this option we would when we are asked to.

I agree that "this is showing pulls" is an easy way to explain.

> And "something you pulled" is a sensible way to think of that. So
> --show-pulls makes sense to me. Or if we really want to tie it in to
> simplification, --no-simplify-pulls. But that's more awkward to type,
> and none of the existing simplification options use the word simplify. ;)

;-)